package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 商户权益记录对象 interests_table
 * 
 * @author ruoyi
 * @date 2022-07-08
 */
public class InterestsTable extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 商户id */
    private Long merchantsId;

    /** 商户名称 */
    @Excel(name = "商户名称")
    private String merchantsName;

    /** 权益所属政策类型id */
    private int interestsPolicyId;

    /** 权益所属政策类型名称 */
    private String interestsPolicyName;

    /** 权益描述 */
    @Excel(name = "权益描述")
    private String account;

    /** 权益等级和次数 */
    private List<InterestsNumberTable> interestsNumberTableList;

    /** 权益等级(返给前端页面，用‘，’分割) */
    private String interestsLevel;

    /** 权益次数(返给前端页面，用‘，’分割) */
    private String interestsNumber;

    /** 是否删除 */
    private String isDel;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public Long getMerchantsId() {
        return merchantsId;
    }

    public String getMerchantsName() {
        return merchantsName;
    }

    public String getAccount() {
        return account;
    }

    public List<InterestsNumberTable> getInterestsNumberTableList() {
        return interestsNumberTableList;
    }

    public String getInterestsLevel() {
        return interestsLevel;
    }

    public String getInterestsNumber() {
        return interestsNumber;
    }

    public String getIsDel() {
        return isDel;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public void setMerchantsId(Long merchantsId) {
        this.merchantsId = merchantsId;
    }

    public void setMerchantsName(String merchantsName) {
        this.merchantsName = merchantsName;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public void setInterestsNumberTableList(List<InterestsNumberTable> interestsNumberTableList) {
        this.interestsNumberTableList = interestsNumberTableList;
    }

    public void setInterestsLevel(String interestsLevel) {
        this.interestsLevel = interestsLevel;
    }

    public void setInterestsNumber(String interestsNumber) {
        this.interestsNumber = interestsNumber;
    }

    public void setIsDel(String isDel) {
        this.isDel = isDel;
    }

    public int getInterestsPolicyId() {
        return interestsPolicyId;
    }

    public String getInterestsPolicyName() {
        return interestsPolicyName;
    }

    public void setInterestsPolicyId(int interestsPolicyId) {
        this.interestsPolicyId = interestsPolicyId;
    }

    public void setInterestsPolicyName(String interestsPolicyName) {
        this.interestsPolicyName = interestsPolicyName;
    }

    @Override
    public String toString() {
        return "InterestsTable{" +
                "id=" + id +
                ", merchantsId=" + merchantsId +
                ", merchantsName='" + merchantsName + '\'' +
                ", interestsPolicyId=" + interestsPolicyId +
                ", interestsPolicyName='" + interestsPolicyName + '\'' +
                ", account='" + account + '\'' +
                ", interestsNumberTableList=" + interestsNumberTableList +
                ", interestsLevel='" + interestsLevel + '\'' +
                ", interestsNumber='" + interestsNumber + '\'' +
                ", isDel='" + isDel + '\'' +
                '}';
    }
}
